checkbox
Prev | Orchestra Opcodes and Operators | Next

## checkbox

checkbox — Sense on-screen controls.

## Description

Sense on-screen controls. Requires Winsound or TCL/TK.

## Syntax

    kres checkbox knum

## Performance

Note that this opcode is not available on Windows due to the implimentation of pipes on that system

kres -- value of the checkbox control. If the checkbox is set (pushed) then return 1, if not, return 0.

knum -- the number of the checkbox. If it does not exist, it is made on-screen at initialization.

## Examples

Here is a simple example of the checkbox opcode. It uses the file checkbox.csd.

Example 99. Simple example of the checkbox opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc       ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o checkbox.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 10
    nchnls = 2

    instr 1
      ; Get the value from the checkbox.
      k1 checkbox 1

      ; If the checkbox is selected then k2=440, otherwise k2=880.
      k2 = (k1 == 0 ? 440 : 880)

      a1 oscil 10000, k2, 1
      outs a1, a1
    endin

    </CsInstruments>
    <CsScore>

    ; sine wave.
    f 1 0 32768 10 1

    i 1 0 10
    e

    </CsScore>
    </CsoundSynthesizer>

## See Also

button

## Credits

Author: John ffitch
University of Bath, Codemist. Ltd.
Bath, UK
September, 2000

Example written by Kevin Conder.

New in Csound version 4.08

Prev | Up | Next
chebyshevpoly | Home | chn